Subject: Re: [bitcoin-dev]Răspuns: Personal opinion on the fee market from a worried local trader

From: Dave Hudson <[email-masked]>
Date: Thu, 30 Jul 2015 07:25:43 -0700

> On 30 Jul 2015, at 06:14, Tom Harding via bitcoin-dev <[email-masked]> wrote:
> 
> Another empirical fact also needs explaining.  Why have average fees *as
> measured in BTC* risen during the times of highest public interest in
> bitcoin?  This happened without block size pressure, and it is not an
> exchange rate effect -- these are raw BTC fees:
> 
> https://blockchain.info/charts/transaction-fees?timespan=all&daysAverageString=7 <https://blockchain.info/charts/transaction-fees?timespan=all&daysAverageString=7>

I've not published any new figures for about 8 months (will try to do that this weekend), but the thing that that chart doesn't show is what's actually happening to fees per transaction. Here's a chart that does: http://hashingit.com/analysis/35-the-future-of-bitcoin-transaction-fees <http://hashingit.com/analysis/35-the-future-of-bitcoin-transaction-fees>

The data is also taken from blockchain.info so it's apples-for-apples. It shows that far from a fees going up they spent 3 years dropping. I just ran a new chart and the decline in fees continued until about 8 weeks when the "stress tests" first occurred. Even so, they're still below the level from the end of 2013. By comparison the total transaction volume is up about 2.4x to 2.5x (don't have the exact number).

> ... more evidence that conclusively refutes the conjecture that a
> production quota is necessary for a "functioning fee market."  A
> production quota merely pushes up fees.  We have a functioning market,
> and so far, it shows that wider bitcoin usage is even more effective
> than a quota at pushing up fees.

I think it's equally easy to argue (from the same data) that wider adoption has actually caused wallet users to become much more effective at fee selection. Miners (as expected, assuming that they hadn't formed a cartel) have continued to accept whatever fees are available, no matter how small. Only where there has been an element of scarcity have we actually seen miners do anything but take whatever is offered.

Clearly history is not an accurate indicator of what might happen in the future, but it seems difficult to argue that there has been any sort of fee market emerge to date (other than as a result of scarcity during the stress tests).